const app = getApp()

Page({

    /**
     * 页面的初始数据
     */
    data: {
        IMG_NAME: app.IMG_NAME,
        bannerList: [{
            bg: '/profile/static/index/banner/1.jpg',
            url: ''
        }, {
            bg: '/profile/static/index/banner/2.jpg',
            url: ''
        }, {
            bg: '/profile/static/index/banner/3.jpg',
            url: ''
        }],
        protocolFlag: true,
        protocolTitle: '《会议室服务协议》',
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    // 跳转-空间设施
    jumpMeetingFacilities() {
        wx.navigateTo({
            url: '/pages/meeting/meetingRoom/meetingFacilities/meetingFacilities',
        })
    },

    // 跳转-优惠卷
    jumpMeetingCoupon() {
        wx.navigateTo({
            url: "/pages/meeting/meetingRoom/meetingCoupon/meetingCoupon",
        })
    },

    // 协议点击
    protocolChange() {
        let _this = this;
        _this.setData({
            protocolFlag: !_this.data.protocolFlag
        });
    },

    // 跳转协议
    jumpProtocol() {
        let _this = this;
        wx.navigateTo({
            url: "/pages/meeting/meetingRoom/meetingProtocol/meetingProtocol?title=" + _this.data.protocolTitle,
        })
    },

    // 提交订单
    submitCase() {
        wx.redirectTo({
            url: "/pages/meeting/pay/waitPay/waitPay",
        })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})